<?php
namespace Modules\DemandeAchat\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class ModificationLigneDemandeAchat
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function ajaxAjoutLigne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxModificationLigne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineItem(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineFrameworkAgreement(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineSupplier(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineQuantity(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineUnit(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLinePrice(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineSupplierItem(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineCodeComp(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineSectImp(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineSsCptAna(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxEditLineSsFam(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxGeneratePlanning(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function validationLigne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function annulationLigne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function suppressionLigne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxModificationOrdre(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupPlanning(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxAddLignePlanning(): bool
    {
        return true;
    }
}
